# define plugin version
%define acpinotifier	1.0.22
%define archive		0.6.6
%define attachwarner    0.2.18
%define attremover	1.0.11
%define bsfilter        1.0.3
%define cachesaver	0.10.9
%define fancy           0.9.9
%define fetchinfo	0.4.24
%define geolocation     0.0.2
%define gtkhtml2viewer  0.26
%define mailmbox	1.14.3
%define newmail		0.0.15
%define notification	0.24
%define perl		0.9.17
%define python          0.3
%define rssyl		0.26
%define spamreport      0.3.10
%define synce		0.7.5
%define tnef            0.3.7
%define vcalendar	2.0.7

Name:           claws-mail-plugins
Version:        3.7.5
Release:        1%{?dist}
Summary:        Additional plugins for claws-mail

Group:          Applications/Internet
License:        GPLv2 and GPLv3+ and MIT
URL:            http://claws-mail.org
Source0:        http://downloads.sourceforge.net/sylpheed-claws/claws-mail-extra-plugins-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  claws-mail-devel >= %{version}
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libetpan-devel
BuildRequires:  perl-devel perl(ExtUtils::Embed)
BuildRequires:  libsynce-devel librapi-devel
BuildRequires:  curl-devel
BuildRequires:  libxml2-devel
BuildRequires:  gtkhtml2-devel
BuildRequires:  libidn-devel
BuildRequires:  libtool
BuildRequires:  gpgme-devel
BuildRequires:  libarchive-devel
BuildRequires:  libytnef-devel
BuildRequires:  ghostscript
BuildRequires:  enchant-devel
BuildRequires:  webkitgtk-devel
# fix #496149
BuildRequires:  libnotify-devel
BuildRequires:  python python-devel pygtk2-devel
BuildRequires:  libcanberra-devel
%if 0%{?fedora} >= 12
BuildRequires:  libchamplain-gtk-devel
%endif
Requires:       %{name}-acpi-notifier = %{version}-%{release}
Requires:       %{name}-archive = %{version}-%{release}
Requires:       %{name}-att-remover = %{version}-%{release}
Requires:       %{name}-attachwarner = %{version}-%{release}
Requires:       %{name}-bsfilter = %{version}-%{release}
Requires:       %{name}-cachesaver = %{version}-%{release}
Obsoletes:      %{name}-etpan-privacy < %{version}-%{release}
Requires:       %{name}-fancy = %{version}-%{release}
Requires:       %{name}-fetchinfo = %{version}-%{release}
%if 0%{?fedora} >= 12
Requires:       %{name}-geolocation = %{version}-%{release}
%endif
Requires:       %{name}-gtkhtml2-viewer = %{version}-%{release}
Obsoletes:      %{name}-maildir < %{version}-%{release}
Requires:       %{name}-mailmbox = %{version}-%{release}
Requires:       %{name}-newmail = %{version}-%{release}
Requires:       %{name}-notification = %{version}-%{release}
Requires:       %{name}-perl = %{version}-%{release}
Requires:       %{name}-python = %{version}-%{release}
Requires:       %{name}-rssyl = %{version}-%{release}
Requires:       %{name}-spam-report = %{version}-%{release}
Requires:       %{name}-synce = %{version}-%{release}
Requires:       %{name}-tnef = %{version}-%{release}
Requires:       %{name}-vcalendar = %{version}-%{release}

# and the ones from main claws-mail-package...
Requires:       %{name}-dillo
Requires:       %{name}-spamassassin
Requires:       %{name}-pgp
Requires:       %{name}-bogofilter
Requires:       %{name}-smime

Obsoletes:      sylpheed-claws-plugins <= 2.6.0
Provides:       sylpheed-claws-plugins = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-etpan-privacy <= 2.6.0
Obsoletes:      sylpheed-claws-plugins-maildir <= 2.6.0

%description
Additional plugins for claws-mail

%package acpi-notifier
Summary:        ACPI notification plugin for claws-mail 
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-acpi-notifier = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-acpi-notifier <= 2.6.0

%description acpi-notifier
Enables mail notification via LEDs on some laptops. Options can be found on
the 'Plugins/Acpi Notifier' page of the preferences.

%package archive
Summary:        Archiving features for claws-mail 
Group:          Applications/Internet
Requires:	claws-mail >= %{version}

%description archive
%{summary}


%package attachwarner
Summary:        attachment warner plugin for claws-mail 
Group:          Applications/Internet
Requires:	claws-mail >= %{version}

%description attachwarner
Warns when the user composes a message mentioning an attachment in the message
body but without attaching any files to the message. 


%package att-remover
Summary:        Attachments remover plugin for claws-mail 
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-att-remover = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-att-remover <= 2.6.0

%description att-remover
Enables the removal of attachments from emails.When right-clicking a message,
choose 'Remove attachments' from the submenu.

%package bsfilter
Summary:        Bayesian spam filtering for claws-mail
Group:          Applications/Internet
Requires:	claws-mail >= %{version}

%description bsfilter
Bayesian spam filtering for claws-mail using Bsfilter.

%package cachesaver
Summary:        A cache saving plugin
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-cachesaver = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-cachesaver <= 2.6.0


%description cachesaver
This plugin saves the caches every 60 seconds (or user-defined
period). It helps avoiding the loss of metadata on crashes.

%package fancy
Summary:        Render html email using WebKit
Group:          Applications/Internet
Requires:	claws-mail >= %{version}

%description fancy
This plugin renders html email using the GTK+ port of WebKit library.

%package fetchinfo
Summary:        Inserts headers containing some download information
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-fetchinfo = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-fetchinfo <= 2.6.0

%description fetchinfo
This plugin inserts headers containing some download information:
UIDL, Sylpheeds account name, POP server, user ID and retrieval time.

%if 0%{?fedora} >= 12
%package geolocation
Summary:        provides GeoLocation functionality
Group:          Applications/Internet
Requires:       claws-mail >= %{version}

%description geolocation
This plugin provides GeoLocation functionality
%endif

%package gtkhtml2-viewer
Summary:        GTK Html Viewer
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-gtkhtml2-viewer = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-gtkhtml2-viewer <= 2.6.0


%description gtkhtml2-viewer
Renders HTML mail using the gtkhtml2 rendering widget. The option, 'Do not load
remote links in mails' can be found on the 'Plugins/GtkHtml2 Viewer' page of
the preferences.


%package mailmbox
Summary:        Support for mailboxes in mbox format
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-mailmbox = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-mailmbox <= 2.6.0


%description mailmbox
This plugin provides direct support for mailboxes in mbox format.

%package newmail
Summary:        Write a msg header summary to a log file
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-newmail = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-newmail <= 2.6.0

%description newmail
Write a msg header summary to a log file (defaults to ~/Mail/NewLog) an arrival
of new mail *after* sorting.

%package notification
Summary:        New mail notifications
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-notification = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-notification <= 2.6.0

%description notification
This plugin collects various ways to notify the user of new (and possibly unread)
mail. Currently, a popup and a mail banner are implemented.

%package perl
Summary:        Extended filtering engine
Group:          Applications/Internet
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-perl = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-perl <= 2.6.0

%description perl
This plugin provides an extended filtering engine for the email client
claws-mail. It allows for the use of full perl power in email filters.

%package python
Summary:        Python scripting access to claws-mail
Group:          Applications/Internet
Requires:	claws-mail >= %{version}

%description python
This plugin offers a Python scripting access to Claws Mail. Python code can be
entered interactively into an embedded Python console, or stored in scripts
under ~/.claws-mail/python-scripts. The scripts are then accessible via the
menu of the main window.

%package rssyl
Summary:        RSS plugin for claws-mail
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-rssyl = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-rssyl <= 2.6.0

%description rssyl
Allows you to read your favorite RSS newsfeeds in Claws. RSS 1.0, 
2.0 and Atom feeds are currently supported.

%package spam-report
Summary:        Report spam mail to various places
Group:          Applications/Internet
Requires:	claws-mail >= %{version}

%description spam-report
This plugin can report spam mails to various places.

%package synce
Summary:        Keeping the addressbook of a Windows CE device in sync
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-synce = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-synce <= 2.6.0

%description synce
This plugin assists in keeping the addressbook of a Windows CE device
(Pocket PC/ iPAQ, Smartphone etc) in sync with Claws' addressbook,
with respect to email addresses.

%package tnef
Summary:        Tnef message parsing
Group:          Applications/Internet
Requires:	claws-mail >= %{version}

%description tnef
This plugin allows reading of application/ms-tnef attachments.

%package vcalendar
Summary:        vCalendar message handling
Group:          Applications/Internet
Requires:	claws-mail >= %{version}
Provides:       sylpheed-claws-plugins-vcalendar = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-vcalendar <= 2.6.0

%description vcalendar
This plugin enables vCalendar message handling like that produced by
Evolution or Outlook.Also supports subscribing to remote webCal feeds, and 
exporting of your meetings or all your calendars.

%prep
%setup -q -n claws-mail-extra-plugins-%{version}

%build
#acpi_notifier
cd acpi_notifier-%{acpinotifier}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

cd ../archive-%{archive}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#attachwarner
cd ../attachwarner-%{attachwarner}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#att_remover
cd ../att_remover-%{attremover}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

# bsfilter
cd ../bsfilter_plugin-%{bsfilter}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

# cachesaver
cd ../cachesaver-%{cachesaver}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

# fancy
cd ../fancy-%{fancy}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#fetchinfo-plugin
cd ../fetchinfo-plugin-%{fetchinfo}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

%if 0%{?fedora} >= 12
#geolocation-plugin
cd ../geolocation_plugin-%{geolocation}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}
%endif

#gtkhtml2-viewer
cd ../gtkhtml2_viewer-%{gtkhtml2viewer}
%configure --disable-static --disable-dependency-tracking --disable-rpath
%{__make} %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool

#mailmbox
cd ../mailmbox-%{mailmbox}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#newmail
cd ../newmail-%{newmail}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#notification-plugin
cd ../notification_plugin-%{notification}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#perl
cd ../perl_plugin-%{perl}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#python
cd ../python_plugin-%{python}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}


#rssyl
cd ../rssyl-%{rssyl}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

#spamreport
cd ../spam_report-%{spamreport}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#synce
cd ../synce_plugin-%{synce}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#tnef
cd ../tnef_parse-%{tnef}
CFLAGS="-I%{_includedir}/libytnef" \
    %configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#vcalendar
cd ../vcalendar-%{vcalendar}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT

# acpi_notifier
cd acpi_notifier-%{acpinotifier}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang acpi_notifier

# archive
cd archive-%{archive}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang archive

# attachwarner
cd attachwarner-%{attachwarner}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang attachwarner

# att_remover
cd att_remover-%{attremover}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

# bsfilter_plugin
cd bsfilter_plugin-%{bsfilter}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang bsfilter_plugin

# cachesaver
cd cachesaver-%{cachesaver}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

#fancy
cd fancy-%{fancy}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang fancy

#fetchinfo-plugin
cd fetchinfo-plugin-%{fetchinfo}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

%if 0%{?fedora} >= 12
#geolocation-plugin
cd geolocation_plugin-%{geolocation}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang geolocation_plugin
%endif

#gtkhtml2-viewer
cd gtkhtml2_viewer-%{gtkhtml2viewer}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang gtkhtml2_viewer

#mailmbox
cd mailmbox-%{mailmbox}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

#newmail
cd newmail-%{newmail}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

#notification-plugin
cd notification_plugin-%{notification}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang notification_plugin

#perl
cd perl_plugin-%{perl}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

#python
cd python_plugin-%{python}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang python_plugin

#rssyl
cd rssyl-%{rssyl}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang rssyl

#spamreport
cd spam_report-%{spamreport}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang spam_report

#synce
cd synce_plugin-%{synce}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

#tnef
cd tnef_parse-%{tnef}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang tnef_parse

#vcalendar
cd vcalendar-%{vcalendar}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang vcalendar

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README

%files acpi-notifier -f acpi_notifier.lang
%defattr(-,root,root,-)
%doc acpi_notifier-%{acpinotifier}/ChangeLog
%doc acpi_notifier-%{acpinotifier}/COPYING
%doc acpi_notifier-%{acpinotifier}/NEWS
%doc acpi_notifier-%{acpinotifier}/AUTHORS
%doc acpi_notifier-%{acpinotifier}/README
%{_libdir}/claws-mail/plugins/acpi_notifier*

%files archive -f archive.lang
%defattr(-,root,root,-)
%doc archive-%{archive}/ABOUT-NLS
%doc archive-%{archive}/AUTHORS
%doc archive-%{archive}/ChangeLog
%doc archive-%{archive}/COPYING
%doc archive-%{archive}/NEWS
%doc archive-%{archive}/README
%doc archive-%{archive}/TODO
%{_libdir}/claws-mail/plugins/archive*
%dir %{_includedir}/claws-mail
%dir %{_includedir}/claws-mail/plugins
%{_includedir}/claws-mail/plugins/archive/

%files attachwarner -f attachwarner.lang
%defattr(-,root,root,-)
%{_libdir}/claws-mail/plugins/attachwarner*
%doc attachwarner-%{attachwarner}/AUTHORS
%doc attachwarner-%{attachwarner}/ChangeLog
%doc attachwarner-%{attachwarner}/COPYING
%doc attachwarner-%{attachwarner}/NEWS
%doc attachwarner-%{attachwarner}/README
%doc attachwarner-%{attachwarner}/TODO

%files att-remover
%defattr(-,root,root,-)
%doc att_remover-%{attremover}/AUTHORS
%doc att_remover-%{attremover}/ChangeLog
%doc att_remover-%{attremover}/COPYING
%doc att_remover-%{attremover}/NEWS
%doc att_remover-%{attremover}/README
%{_libdir}/claws-mail/plugins/att_remover*

%files bsfilter -f bsfilter_plugin.lang
%defattr(-,root,root,-)
%doc bsfilter_plugin-%{bsfilter}/AUTHORS
%doc bsfilter_plugin-%{bsfilter}/ChangeLog
%doc bsfilter_plugin-%{bsfilter}/COPYING
%doc bsfilter_plugin-%{bsfilter}/README
%{_libdir}/claws-mail/plugins/bsfilter*

%files cachesaver
%defattr(-,root,root,-)
%doc cachesaver-%{cachesaver}/AUTHORS
%doc cachesaver-%{cachesaver}/ChangeLog
%doc cachesaver-%{cachesaver}/COPYING
%{_libdir}/claws-mail/plugins/cachesaver*

%files fancy -f fancy.lang
%defattr(-,root,root,-)
%doc fancy-%{fancy}/COPYING
%doc fancy-%{fancy}/AUTHORS
%doc fancy-%{fancy}/README
%doc fancy-%{fancy}/ChangeLog
%{_libdir}/claws-mail/plugins/fancy*

%files fetchinfo
%defattr(-,root,root,-)
%doc fetchinfo-plugin-%{fetchinfo}/ChangeLog
%doc fetchinfo-plugin-%{fetchinfo}/COPYING
%doc fetchinfo-plugin-%{fetchinfo}/README
%{_libdir}/claws-mail/plugins/fetchinfo*

%if 0%{?fedora} >= 12
%files geolocation -f geolocation_plugin.lang
%defattr(-,root,root,-)
%doc geolocation_plugin-%{geolocation}/ChangeLog
%doc geolocation_plugin-%{geolocation}/COPYING
%doc geolocation_plugin-%{geolocation}/README
%{_libdir}/claws-mail/plugins/geolocation*
%endif

%files gtkhtml2-viewer -f gtkhtml2_viewer.lang
%defattr(-,root,root,-)
%doc gtkhtml2_viewer-%{gtkhtml2viewer}/AUTHORS
%doc gtkhtml2_viewer-%{gtkhtml2viewer}/COPYING
%{_libdir}/claws-mail/plugins/gtkhtml2_viewer*

%files mailmbox
%defattr(-,root,root,-)
%doc mailmbox-%{mailmbox}/AUTHORS
%doc mailmbox-%{mailmbox}/ChangeLog
%doc mailmbox-%{mailmbox}/COPYING
%doc mailmbox-%{mailmbox}/README
%{_libdir}/claws-mail/plugins/mailmbox*

%files newmail
%defattr(-,root,root,-)
%doc newmail-%{newmail}/AUTHORS
%doc newmail-%{newmail}/ChangeLog
%doc newmail-%{newmail}/COPYING
%doc newmail-%{newmail}/NEWS
%doc newmail-%{newmail}/README
%{_libdir}/claws-mail/plugins/newmail.so

%files notification -f notification_plugin.lang
%defattr(-,root,root,-)
%doc notification_plugin-%{notification}/AUTHORS
%doc notification_plugin-%{notification}/ChangeLog
%doc notification_plugin-%{notification}/COPYING
%doc notification_plugin-%{notification}/README
%{_libdir}/claws-mail/plugins/notification_plugin.so
%{_includedir}/notification_plugin

%files perl
%defattr(-,root,root,-)
%doc perl_plugin-%{perl}/AUTHORS
%doc perl_plugin-%{perl}/ChangeLog
%doc perl_plugin-%{perl}/COPYING
%doc perl_plugin-%{perl}/README
%{_libdir}/claws-mail/plugins/perl_plugin.so

%files python -f python_plugin.lang
%defattr(-,root,root,-)
%doc python_plugin-%{python}/AUTHORS
%doc python_plugin-%{python}/ChangeLog
%doc python_plugin-%{python}/COPYING
%doc python_plugin-%{python}/README
%{_libdir}/claws-mail/plugins/python_plugin*

%files rssyl -f rssyl.lang
%defattr(-,root,root,-)
%doc rssyl-%{rssyl}/AUTHORS
%doc rssyl-%{rssyl}/ChangeLog
%doc rssyl-%{rssyl}/COPYING
%{_libdir}/claws-mail/plugins/rssyl*

%files spam-report -f spam_report.lang
%defattr(-,root,root,-)
%doc spam_report-%{spamreport}/{AUTHORS,ChangeLog,COPYING,NEWS,README}
%{_libdir}/claws-mail/plugins/spamreport.so

%files synce
%defattr(-,root,root,-)
%doc synce_plugin-%{synce}/AUTHORS
%doc synce_plugin-%{synce}/ChangeLog
%doc synce_plugin-%{synce}/COPYING
%doc synce_plugin-%{synce}/README
%{_libdir}/claws-mail/plugins/synce*

%files tnef -f tnef_parse.lang
%defattr(-,root,root,-)
%doc tnef_parse-%{tnef}/AUTHORS
%doc tnef_parse-%{tnef}/ChangeLog
%doc tnef_parse-%{tnef}/COPYING
%doc tnef_parse-%{tnef}/README
%{_libdir}/claws-mail/plugins/tnef*

%files vcalendar -f vcalendar.lang
%defattr(-,root,root,-)
%doc vcalendar-%{vcalendar}/AUTHORS
%doc vcalendar-%{vcalendar}/ChangeLog
%doc vcalendar-%{vcalendar}/COPYING
%doc vcalendar-%{vcalendar}/README
%{_libdir}/claws-mail/plugins/vcalendar*
%dir %{_includedir}/claws-mail
%dir %{_includedir}/claws-mail/plugins
%{_includedir}/claws-mail/plugins/vcalendar/

%changelog
* Tue Feb 09 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.5-1
- version upgrade
- unify specs

* Tue Jan 12 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.4-2
- change Provides/Obsoletes of the geolocation plugin

* Fri Jan 08 2010 Kevin Fenzi <kevin@tummy.com> 
- 3.7.4-1

* Mon Oct 12 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.3-1
- version upgrade
- new plugins bsfilter, python

* Fri Aug 07 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.2-3
- fix crash in fancy plugin (#515373)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.2-1
- version upgrade
- new plugin: fancy
- fix notification plugin to work with libnotify (#496149)

* Mon Mar 30 2009 Michael Schwendt <mschwendt@fedoraproject.org>
- 3.7.1-2
- use %%find_lang macro

* Sat Mar 28 2009 Kevin Fenzi <kevin@tummy.com> - 3.7.1-1
- Update to 3.7.1

* Thu Mar 19 2009 Michael Schwendt <mschwendt@fedoraproject.org>
- 3.7.0-3
- include directories /usr/include/claws-mail{,/plugins} in
  "archive" and "vcalendar" sub-packages (#473638)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 30 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.0-1
- version upgrade

* Fri Nov 21 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.6.1-1
- version upgrade

* Sat Oct 04 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.6.0-1
- version upgrade
- transition smime from plugins to main package

* Mon Sep 08 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.5.0-2
- rebuild

* Mon Jun 30 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.5.0-1
- version upgrade
- upstream dropped pdf plugin
- new archive plugin

* Wed Apr 23 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.4.0-1
- version upgrade

* Tue Mar 18 2008 Tom "spot" Callaway <tcallawa@redhat.com>
- 3.3.1-4
- add missing BR: ExtUtils::Embed

* Tue Mar 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> 
- 3.3.1-3
- add Requires for versioned perl (libperl.so)

* Tue Mar 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.3.1-2
- correct BR

* Sat Feb 23 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.3.1-1
- version upgrade
- clamav plugin has been dropped upstream
- improve descriptions

* Fri Feb 08 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.3.0-1
- version upgrade
- clamav

* Mon Dec 17 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.2.0-1
- version upgrade
- added tnef plugin

* Wed Nov 21 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.1.0-1
- version upgrade

* Mon Oct 08 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.0.1-1
- version upgrade

* Mon Sep 10 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.0.0-2
- fix typo

* Wed Sep 05 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.0.0-1
- version upgrade

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.10.0-2
- new license tag

* Tue Jul 03 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.10.0-1
- version upgrade

* Sat Jun 02 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.9.2-2
- bump

* Tue May 15 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.9.2-1
- version upgrade

* Sat Apr 21 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.9.1-1
- version upgrade which fixes pdfviewer bug

* Mon Apr 16 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.9.0-1
- version upgrade

* Tue Mar 06 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.8.0-2
- bump

* Wed Feb 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.8.0-1
- version upgrade
- fix rpath

* Wed Feb 07 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.1-2
- bump

* Thu Jan 18 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.1-1
- version upgrade

* Fri Dec 22 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.6.1-2
- some more fixes

* Mon Dec 11 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.6.1-1
- version upgrade
- rename to claws-mail-plugins

* Thu Nov 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.6.0-1
- version upgrade

* Tue Nov 07 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-5
- rebuild

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-4
- rebuild

* Thu Oct 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-3
- rebuild

* Sun Oct 08 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-2
- rebuild

* Sat Sep 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-1
- version upgrade

* Tue Sep 26 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.0-1
- version upgrade

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.4.0-2
- FE6 rebuild

* Wed Aug 02 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.4.0-1
- version upgrade

* Wed Jul 05 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.3.0-2
- bump

* Tue Jun 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.3.0-1
- version upgrade

* Tue May 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.0-1
- version upgrade

* Sat Apr 08 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.1.0-1
- version upgrade

* Fri Feb 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.0.0-2
- Rebuild for Fedora Extras 5

* Fri Feb 03 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.0.0-1
- version upgrade

* Sun Dec 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.100-2
- rebuild

* Thu Nov 17 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.100-1
- version upgrade

* Sun Aug 21 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-5
- enable x86_64 synce plugin

* Sat Aug 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-4
- add dist tag

* Sat Aug 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-3
- exlude ical.h

* Thu Aug 18 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-2
- use setup macro (-c)
- disable synce build on x86_64 for now (#148003)

* Sun Jul 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-1
- Initial Release
